Public Member Functions | Data Fields

# CustomCurrencyWindow Struct Reference

Inheritance diagram for CustomCurrencyWindow:

## Public Member Functions
| CustomCurrencyWindow (const WindowDesc *desc)
void | SetButtonState ()
virtual void | SetStringParameters (int widget) const
| Initialize string parameters for a widget.
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnQueryTextFinished (char *str)
| The query window opened from this window has closed.
virtual void | OnTimeout ()
| Called when this window's timeout has been reached.
## Data Fields
int | query_widget

## Detailed Description

Definition at line 2565 of file settings_gui.cpp.

## Member Function Documentation

virtual void CustomCurrencyWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 2620 of file settings_gui.cpp.

References CF_NOEURO, Clamp(), Window::DisableWidget(), Window::EnableWidget(), MAX_YEAR, Window::SetDirty(), SetDParam(), SetDParamStr(), Window::SetTimeout(), ShowQueryString(), WID_CC_PREFIX, WID_CC_PREFIX_EDIT, WID_CC_RATE, WID_CC_RATE_DOWN, WID_CC_RATE_UP, WID_CC_SEPARATOR, WID_CC_SEPARATOR_EDIT, WID_CC_SUFFIX, WID_CC_SUFFIX_EDIT, WID_CC_YEAR, WID_CC_YEAR_DOWN, and WID_CC_YEAR_UP.

virtual void CustomCurrencyWindow::OnQueryTextFinished | ( | char * | str | ) | `[inline, virtual]`

The query window opened from this window has closed.

Parameters:

  | str | the new value of the string, NULL if the window was cancelled or an empty string when the default button was pressed, i.e. StrEmpty(str).

Reimplemented from Window.

Definition at line 2702 of file settings_gui.cpp.

References CF_NOEURO, Clamp(), lastof, MarkWholeScreenDirty(), MAX_YEAR, min(), strecpy(), WID_CC_PREFIX, WID_CC_RATE, WID_CC_SEPARATOR, WID_CC_SUFFIX, and WID_CC_YEAR.

virtual void CustomCurrencyWindow::SetStringParameters | ( | int | widget | ) | const`[inline, virtual]`

Initialize string parameters for a widget.

Calls to this function are made during initialization to measure the size (that is as part of InitNested()), during drawing, and while re-initializing the window. Only for widgets that render text initializing is requested.

Parameters:

  | widget | Widget number.

Reimplemented from Window.

Definition at line 2583 of file settings_gui.cpp.

References CF_NOEURO, SetDParam(), SetDParamStr(), WID_CC_PREFIX, WID_CC_PREVIEW, WID_CC_RATE, WID_CC_SEPARATOR, WID_CC_SUFFIX, and WID_CC_YEAR.

virtual void CustomCurrencyWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 2601 of file settings_gui.cpp.

References GetStringBoundingBox(), SetDParam(), WID_CC_PREFIX_EDIT, WID_CC_RATE, WID_CC_RATE_UP, WID_CC_SEPARATOR_EDIT, and WID_CC_SUFFIX_EDIT.

The documentation for this struct was generated from the following file:

- src/settings_gui.cpp